From hudson Sun Jul  2 12:57:00 2000
Received: by isass1.solar.isas.ac.jp (8.8.7/1.1.20.3/28Jan00-0534AM)
	id MAA0000005061; Sun, 2 Jul 2000 12:57:00 +0900 (JST)
Date: Sun, 2 Jul 2000 12:57:00 +0900 (JST)
From: "Hugh S. Hudson" <hudson>
Message-Id: <200007020357.MAA0000005061@isass1.solar.isas.ac.jp>
To: nakakubo@flare2.solar.isas.ac.jp
Subject: software
Cc: hudson
Status: R

;+
; NAME:
;     CHECK_FOR_30S
; PURPOSE:
;     check recent two weeks' worth of data for Nakakubo-type exposures
; CATEGORY:
; CALLING SEQUENCE:
;     check_for_30s
;     check_for_30s, /list
; INPUTS:
;     none
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
;     list, lists the images
; ROUTINES CALLED
;     RD_OBS, ANYTIM
; OUTPUTS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
;     may not provide a complete listing because the most recent data
;       may not have been reformatted
; MODIFICATION HISTORY:
;     2-Jul-00, written (HSH)
;-

pro check_for_30s, list=list
tstart = anytim(anytim(!stime) - 86400.*14,/yoh)
tstop = !stime
rd_obs,anytim(tstart,/yoh),tstop,a,b,c,/sxtf
ss = where(gt_filtb(b) eq 3 and gt_dpe(b) eq 30 and gt_expmode(b) eq 0 $
 and gt_percentd(b) eq 100)
print,' '
fmt_timer,[tstart,tstop]
print,' '
print,'Found ',n_elements(ss),' appropriate images in the past two weeks.'
print,' '
if keyword_set(list) then info = get_info(b(ss))
end

